
/******************************************************************************
* MODULE     : complex.hpp
* DESCRIPTION: Certified complex numbers
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MML_COMPLEX_HPP
#define __MML_COMPLEX_HPP
#include "real.hpp"
#include "complex_ball.hpp"
#include "complexify_certify.hpp"
namespace mml {

typedef certify<complex_ball> complex;
typedef certify_rep<complex_ball> complex_rep;

}
#endif // __MML_COMPLEX_HPP
